> For the complete documentation index, see [llms.txt](https://docs.fuksus.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fuksus.com/fuksus-houserobberies/configuration/adding-houses.md).

# Adding houses

You can add more houses editing **houses.lua** file.

```javascript
Houses = {
    -- House information
    {
        doors = {
            outside = {
                 -- This is your outside door
                coords = vec3(1348.352, -547.0417, 73),
                text = Locale[Config.locale]['rob_house']
            },
            inside = {
                -- This is your inside door
                coords = vec3(-786.8663, 315.7642, 216.5),
                text = Locale[Config.locale]['leave_house']
            },
        },
        -- You can add containers as much as you want
        containers = {
            {
                -- Your stealable containers position
                coords = vec3(-788.8879, 320.5846, 217.0374),
                -- You can set custom text here
                text = 'Press ~INPUT_CONTEXT~ to search drawer.',
                -- Maximum items that can be generated
                maxItems = 5,
                searching = false,
                items = {}
            },
        },
        -- All the items that could be found in house
        -- The higher the rarity the more often the item will be generated
        houseItems = {
            -- Item name, minimum and maximum values of the item.
            {name = 'phone', min = 1, max = 2, metadata = {}, rarity = 10},
            {name = 'water', min = 1, max = 2, metadata = {}, rarity = 2}
        },
        -- Time till the alarm triggers in seconds
        robTime = 3000,
    },
}
```

{% hint style="danger" %}
Make sure the rarity **doesn't go above 10** or else the **server might hitch** when generating new items to be found !
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fuksus.com/fuksus-houserobberies/configuration/adding-houses.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
